<?php
/**
 * The template for archive posts
 *
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package rallypro
 */

 get_header(); ?>

	<!-- ============================ Start journal-head Section ============================ -->

	<section id="journal-head" class="text-center">
		<div class="container">
			<div class="journal-head-content animated wow slideInDown">
				<?php if(is_author()){
                       get_template_part( 'template-parts/author', 'information' ); //displaying author information 
				 }else{ ?>
				<div class="section-heading">
					<h4><?php  the_archive_title();  ?></h4>
					<p><?php the_archive_description(); ?></p>
				</div><!-- /.section-heading -->
				<?php } ?>
			</div><!-- /.journal-head-content -->
		</div><!-- /.container -->
	</section><!-- /#journal-head -->

	<!-- ============================ Start journal Section ============================ -->

	<section id="journal">
		<div class="container">
			<div class="row">
				<div class="<?php echo esc_attr( rallypro_content_layout()); ?>">
					<?php if(have_posts()): while(have_posts()): the_post(); 
						
						if( get_theme_mod( 'layout_options','' ) == 'full-width'){
							get_template_part( 'template-parts/content-full-width');  // for displaying post full width
						}else{
							get_template_part( 'template-parts/content');  // for displaying post with sidebar
						}

						 endwhile; 
						 else: 
							get_template_part( 'template-parts/content', 'none' );  // if post not found

					 endif; ?>
					<div class="blog-pagination">
						<?php previous_posts_link('<i class="ion ion-arrow-left-a"></i> ' . esc_html__('previous page' , 'rallypro')); ?>
						<div class="pull-right">
							<?php next_posts_link(esc_html__('next page' , 'rallypro') . ' <i class="ion ion-arrow-right-a"></i>'); ?>
						</div>
					</div><!-- /.pagination -->
				</div><!-- /.col-md-8 -->
				<?php get_sidebar(); ?>
			</div><!-- /.row -->
		</div><!-- /.container -->
	</section><!-- /#journal -->

<?php get_footer(); ?>